com.holonplatform.core.property

## Interface SetVirtualProperty<T>

- Type Parameters:
    `T` - Set elements type
  All Superinterfaces:
    CollectionProperty<T,Set<T>>, ConverterExpression<Set<T>>, Expression, HasConfiguration<PropertyConfiguration>, Localizable, Property<Set<T>>, Serializable, TypedExpression<Set<T>>, Validator.Validatable<Set<T>>, VirtualProperty<Set<T>>
  All Known Subinterfaces:
    SetVirtualProperty.SetVirtualPropertyBuilder<T>

      public interface SetVirtualProperty<T>
      extends VirtualProperty<Set<T>>, CollectionProperty<T,Set<T>>

  A collection type `VirtualProperty` using a `Set` as concrete collection type.
  Since:
    5.2.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `SetVirtualProperty.SetVirtualPropertyBuilder<T>` `SetVirtualProperty` builder.

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.VirtualProperty

      `VirtualProperty.Builder<T,P extends VirtualProperty<T>,B extends VirtualProperty.Builder<T,P,B>>, VirtualProperty.VirtualPropertyBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.CollectionProperty

      `CollectionProperty.Builder<E,C extends Collection<E>,P extends CollectionProperty<E,C>,B extends CollectionProperty.Builder<E,C,P,B>>, CollectionProperty.ListProperty<T>, CollectionProperty.SetProperty<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.Property

      `Property.PropertyAccessException, Property.PropertyNotFoundException, Property.PropertyReadException, Property.PropertyReadOnlyException, Property.PropertyWriteException`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.i18n.Localizable

      `Localizable.LocalizableBuilder, Localizable.LocalizationException`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Expression

      `Expression.ExpressionResolverFunction<E extends Expression,R extends Expression>, Expression.InvalidExpressionException`

  - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> SetVirtualProperty.SetVirtualPropertyBuilder<T>` | `create(Class<T> elementType, PropertyValueProvider<Set<T>> valueProvider)` Create a new `SetVirtualProperty`.

    - ### Methods inherited from interface com.holonplatform.core.property.VirtualProperty

      `create, create, getValueProvider, isReadOnly`

    - ### Methods inherited from interface com.holonplatform.core.property.CollectionProperty

      `getElementType`

    - ### Methods inherited from interface com.holonplatform.core.property.Property

      `getConfiguration, getConvertedValue, getConverter, getExpressionValueConverter, getName, getTemporalType, getType, present, render, renderIfAvailable`

    - ### Methods inherited from interface com.holonplatform.core.Validator.Validatable

      `getValidators, validate`

    - ### Methods inherited from interface com.holonplatform.core.i18n.Localizable

      `builder, getMessage, getMessageArguments, getMessageCode, of, of`

    - ### Methods inherited from interface com.holonplatform.core.HasConfiguration

      `hasConfiguration`

    - ### Methods inherited from interface com.holonplatform.core.ConverterExpression

      `getModelType, getModelValue`

    - ### Methods inherited from interface com.holonplatform.core.TypedExpression

      `isCollectionExpression, isConverterExpression`

    - ### Methods inherited from interface com.holonplatform.core.Expression

      `validate`

- - ### Method Detail

    - #### create

          static <T> SetVirtualProperty.SetVirtualPropertyBuilder<T> create(Class<T> elementType,
                                                                            PropertyValueProvider<Set<T>> valueProvider)

      Create a new `SetVirtualProperty`.
      Type Parameters:
        `T` - Set elements type
      Parameters:
        `elementType` - Set elements type (not null)
        `valueProvider` - Property value provider (not null)
      Returns:
        A new `SetVirtualProperty` instance

Copyright © 2019 The Holon Platform. All rights reserved.